stats_retrieve
GET
/api/stats
const url = 'https://example.com/api/stats';const options = {method: 'GET', headers: {Authorization: '<Authorization>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/api/stats \ --header 'Authorization: <Authorization>'Return the stats of the current Madbot instance.
Authorizations
Section titled “Authorizations”Responses
Section titled “Responses”Media typeapplication/json
Serializer for the stats of the current Madbot instance.
object
users
required
Serializer for the Users in stats of the current Madbot instance.
object
global_count
required
integer
workspaces
required
Serializer for the Workspaces in stats of the current Madbot instance.
object
global_count
required
integer
nodes
required
Serializer for the Nodes in stats of the current Madbot instance.
object
global_count
required
integer
data
required
Serializer for the Data in stats of the current Madbot instance.
object
global_count
required
integer
global_size
required
integer
types_distribution
required
Array
source_distribution
required
Array
submissions
required
Serializer for the Submission in stats of the current Madbot instance.
object
global_count
required
integer
destination_distribution
required
Array
status_distribution
required
Array
metadata
required
Serializer for the Metadata in stats of the current Madbot instance.
object
global_count
required
integer
timestamp
required
Generate the current timestamp in ISO 8601 format.
string
Example generated
{ "users": { "global_count": 1 }, "workspaces": { "global_count": 1 }, "nodes": { "global_count": 1 }, "data": { "global_count": 1, "global_size": 1, "types_distribution": [ "example" ], "source_distribution": [ "example" ] }, "submissions": { "global_count": 1, "destination_distribution": [ "example" ], "status_distribution": [ "example" ] }, "metadata": { "global_count": 1 }}
